using Godot;

using System.Collections.Generic;

namespace Rokojori
{  
  public class NetworkNodeSlot:NetworkNodeMember
  {
    public EventSlot<NetworkMessageEvent> onMessage = new EventSlot<NetworkMessageEvent>();

    protected override void OnNetworkMessageReceived( NetworkMessageEvent nme )
    {
      onMessage.DispatchEvent( nme );
    }
  }
}